# DirectionalLight

#### new Cesium.DirectionalLight(options)
Scene/DirectionalLight.js 20

A light that gets emitted in a single direction from infinitely far away.

Name | Type | Description
--- | --- | ---
`options` | Object | Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`direction` | Cartesian3 |  | The direction in which light gets emitted.
`color` | Color | `Color.WHITE` | optional The color of the light.
`intensity` | Number | `1.0` | optional The intensity of the light.

##### Throws:

- DeveloperError : options.direction cannot be zero-length

### Members

#### color : Color
Scene/DirectionalLight.js 40

The color of the light.

Default Value: `Color.WHITE`

#### direction : Cartesian3
Scene/DirectionalLight.js 33

The direction in which light gets emitted.

#### intensity : Number
Scene/DirectionalLight.js 47

The intensity of the light.

Default Value: `1.0`